このページのエンドポイント
GET /v1/residential/subscriptions:トラフィックのサブスクリプション一覧(レジデンシャルプロキシ、GB単位のローテーション式モバイルプロキシ)GET /v1/residential/subscriptions/{subscriptionId}:レジデンシャルプロキシのサブスクリプションを取得PATCH /v1/residential/subscriptions/{subscriptionId}:名前の変更または自動更新の切り替えPOST /v1/residential/subscriptions/{subscriptionId}/reset-password:メインユーザーの新しいプロキシパスワードを生成GET /v1/residential/subscriptions/{subscriptionId}/usage:日別のトラフィック使用量GET /v1/residential/subscriptions/{subscriptionId}/sub-users:サブユーザー一覧(個別のトラフィック上限が設定された、専用のプロキシ認証情報)POST /v1/residential/subscriptions/{subscriptionId}/sub-users:サブユーザーを作成PATCH /v1/residential/subscriptions/{subscriptionId}/sub-users/{subUserId}:サブユーザーを更新(ラベル、上限、有効化/無効化、新しいパスワード)DELETE /v1/residential/subscriptions/{subscriptionId}/sub-users/{subUserId}:サブユーザーを削除GET /v1/catalog/countries:製品を利用できる国GET /v1/catalog/countries/{countryCode}/states:国ごとに指定可能な州/県(US、CA、AUなど)GET /v1/catalog/countries/{countryCode}/cities:国ごとに指定可能な都市GET /v1/catalog/countries/{countryCode}/asns:国ごとに指定可能なISP(ASN)—レジデンシャルプロキシのみ
ベースURL https://localserpproxy.com/api/v1。認証、エラー、制限についてはAPI概要]をご覧ください。
スティッキーセッション
プロキシのユーザー名に-session-{id}-ttl-{minutes}を追加すると、同じIPを維持できます。{id}には任意の英字または数字を1~32文字、ttlには1~30分を指定します。たとえば接続先のデバイスがオフラインになると、指定時間より早くIPが変わる場合があります。
トラフィックのサブスクリプション一覧(レジデンシャルプロキシ、GB単位のローテーション式モバイルプロキシ)
GET/v1/residential/subscriptions
認証:Authorization: Bearer API_KEYヘッダーにAPIキーを指定します。
パラメーター
| 名前 | 場所 | 型 | 必須 | 説明 |
|---|---|---|---|---|
productId | query | residential · mobile-gb | いいえ | この製品のみ(指定がない場合は両方)。 |
レスポンス 200 OK
{
"data": [
{
"id": "res_9x2m4k",
"productId": "residential",
"label": "Residential #1",
"planId": "res-10",
"status": "active",
"trafficTotalBytes": 10000000000,
"trafficUsedBytes": 2350000000,
"trafficRemainingBytes": 7650000000,
"expiresAt": null,
"autoRenew": false,
"username": "u7k2m9",
"password": "PASSWORD",
"endpoint": {
"host": "gw.localserpproxy.com",
"httpPort": 7777,
"socksPort": 7778
},
"subUserCount": 1,
"createdAt": "2026-10-05T14:03:11Z"
}
]
}コード例
curl -s "https://localserpproxy.com/api/v1/residential/subscriptions" \
-H "Authorization: Bearer $API_KEY"import os
import requests
API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}
r = requests.get(f"{API}/residential/subscriptions", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';
const res = await fetch(`${API}/residential/subscriptions`, {
headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());レジデンシャルプロキシのサブスクリプションを取得
GET/v1/residential/subscriptions/{subscriptionId}
認証:Authorization: Bearer API_KEYヘッダーにAPIキーを指定します。
パラメーター
| 名前 | 場所 | 型 | 必須 | 説明 |
|---|---|---|---|---|
subscriptionId | path | string | はい | — |
レスポンス 200 OK
{
"id": "res_9x2m4k",
"productId": "residential",
"label": "Residential #1",
"planId": "res-10",
"status": "active",
"trafficTotalBytes": 10000000000,
"trafficUsedBytes": 2350000000,
"trafficRemainingBytes": 7650000000,
"expiresAt": null,
"autoRenew": false,
"username": "u7k2m9",
"password": "PASSWORD",
"endpoint": {
"host": "gw.localserpproxy.com",
"httpPort": 7777,
"socksPort": 7778
},
"subUserCount": 1,
"createdAt": "2026-10-05T14:03:11Z"
}コード例
curl -s "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k" \
-H "Authorization: Bearer $API_KEY"import os
import requests
API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}
r = requests.get(f"{API}/residential/subscriptions/res_9x2m4k", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';
const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k`, {
headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());名前の変更または自動更新の切り替え
PATCH/v1/residential/subscriptions/{subscriptionId}
認証:Authorization: Bearer API_KEYヘッダーにAPIキーを指定します。
パラメーター
| 名前 | 場所 | 型 | 必須 | 説明 |
|---|---|---|---|---|
subscriptionId | path | string | はい | — |
リクエストボディ
| フィールド | 型 | 必須 | 説明 |
|---|---|---|---|
label | string | いいえ | 最大60文字 |
autoRenew | boolean | いいえ | — |
{
"label": "Price monitoring",
"autoRenew": true
}レスポンス 200 OK
{
"id": "res_9x2m4k",
"productId": "residential",
"label": "Residential #1",
"planId": "res-10",
"status": "active",
"trafficTotalBytes": 10000000000,
"trafficUsedBytes": 2350000000,
"trafficRemainingBytes": 7650000000,
"expiresAt": null,
"autoRenew": false,
"username": "u7k2m9",
"password": "PASSWORD",
"endpoint": {
"host": "gw.localserpproxy.com",
"httpPort": 7777,
"socksPort": 7778
},
"subUserCount": 1,
"createdAt": "2026-10-05T14:03:11Z"
}コード例
curl -s -X PATCH "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k" \
-H "Authorization: Bearer $API_KEY" \
-H "Content-Type: application/json" \
-d '{"label":"Price monitoring","autoRenew":true}'import os
import requests
API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}
r = requests.patch(f"{API}/residential/subscriptions/res_9x2m4k", headers=HEADERS, json={"label": "Price monitoring", "autoRenew": True}, timeout=30)
r.raise_for_status()
print(r.json())// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';
const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k`, {
method: 'PATCH',
headers: { Authorization: `Bearer ${process.env.API_KEY}`, 'Content-Type': 'application/json' },
body: JSON.stringify({ label: 'Price monitoring', autoRenew: true }),
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());メインユーザーの新しいプロキシパスワードを生成
POST/v1/residential/subscriptions/{subscriptionId}/reset-password
古いパスワードはゲートウェイで60秒以内に使えなくなります。
認証:Authorization: Bearer API_KEYヘッダーにAPIキーを指定します。
パラメーター
| 名前 | 場所 | 型 | 必須 | 説明 |
|---|---|---|---|---|
subscriptionId | path | string | はい | — |
レスポンス 200 OK
{
"id": "res_9x2m4k",
"productId": "residential",
"label": "Residential #1",
"planId": "res-10",
"status": "active",
"trafficTotalBytes": 10000000000,
"trafficUsedBytes": 2350000000,
"trafficRemainingBytes": 7650000000,
"expiresAt": null,
"autoRenew": false,
"username": "u7k2m9",
"password": "PASSWORD",
"endpoint": {
"host": "gw.localserpproxy.com",
"httpPort": 7777,
"socksPort": 7778
},
"subUserCount": 1,
"createdAt": "2026-10-05T14:03:11Z"
}コード例
curl -s -X POST "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k/reset-password" \
-H "Authorization: Bearer $API_KEY"import os
import requests
API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}
r = requests.post(f"{API}/residential/subscriptions/res_9x2m4k/reset-password", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';
const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k/reset-password`, {
method: 'POST',
headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());日次トラフィック使用量
GET/v1/residential/subscriptions/{subscriptionId}/usage
認証:Authorization: Bearer API_KEYヘッダーにAPIキーを指定します。
パラメーター
| 名前 | 場所 | 型 | 必須 | 説明 |
|---|---|---|---|---|
subscriptionId | path | string | はい | — |
from | query | string (date) | いいえ | 開始日(UTC、当日を含む)。デフォルトはtoの29日前です。 |
to | query | string (date) | いいえ | 終了日(UTC、当日を含む)。デフォルトは今日です。期間は最大366日です。 |
subUserId | query | string | いいえ | サブユーザーを1人に限定する。 |
レスポンス 200 OK
{
"from": "2026-10-04",
"to": "2026-10-05",
"totalBytes": 2350000000,
"totalRequests": 48210,
"points": [
{
"date": "2026-10-04",
"bytes": 1200000000,
"requests": 24800
},
{
"date": "2026-10-05",
"bytes": 1150000000,
"requests": 23410
}
],
"byCountry": [
{
"country": "US",
"bytes": 2350000000
}
]
}コード例
curl -s "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k/usage" \
-H "Authorization: Bearer $API_KEY"import os
import requests
API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}
r = requests.get(f"{API}/residential/subscriptions/res_9x2m4k/usage", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';
const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k/usage`, {
headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());サブユーザー一覧(個別のプロキシ認証情報と通信量上限を持つユーザー)
GET/v1/residential/subscriptions/{subscriptionId}/sub-users
認証:Authorization: Bearer API_KEYヘッダーにAPIキーを指定します。
パラメーター
| 名前 | 場所 | 型 | 必須 | 説明 |
|---|---|---|---|---|
subscriptionId | path | string | はい | — |
レスポンス 200 OK
{
"data": [
{
"id": "sub_3m9qk2",
"label": "Client A",
"username": "u7k2m9_scraper",
"password": "PASSWORD",
"trafficLimitBytes": 5000000000,
"trafficUsedBytes": 1200000000,
"enabled": true,
"createdAt": "2026-10-05T14:03:11Z"
}
],
"limit": 50
}コード例
curl -s "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k/sub-users" \
-H "Authorization: Bearer $API_KEY"import os
import requests
API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}
r = requests.get(f"{API}/residential/subscriptions/res_9x2m4k/sub-users", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';
const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k/sub-users`, {
headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());サブユーザーを作成
POST/v1/residential/subscriptions/{subscriptionId}/sub-users
認証:Authorization: Bearer API_KEYヘッダーにAPIキーを指定します。
パラメーター
| 名前 | 場所 | 型 | 必須 | 説明 |
|---|---|---|---|---|
subscriptionId | path | string | はい | — |
リクエストボディ
| フィールド | 型 | 必須 | 説明 |
|---|---|---|---|
label | string | はい | 最大60文字 |
password | string | いいえ | 省略時に自動生成。— 最大64文字 |
trafficLimitBytes | integer (int64), nullable | いいえ | ≥ 0 |
{
"label": "Scraper EU",
"trafficLimitBytes": 5000000000
}レスポンス 201 Created
{
"id": "sub_3m9qk2",
"label": "Client A",
"username": "u7k2m9_scraper",
"password": "PASSWORD",
"trafficLimitBytes": 5000000000,
"trafficUsedBytes": 1200000000,
"enabled": true,
"createdAt": "2026-10-05T14:03:11Z"
}コード例
curl -s -X POST "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k/sub-users" \
-H "Authorization: Bearer $API_KEY" \
-H "Content-Type: application/json" \
-d '{"label":"Scraper EU","trafficLimitBytes":5000000000}'import os
import requests
API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}
r = requests.post(f"{API}/residential/subscriptions/res_9x2m4k/sub-users", headers=HEADERS, json={"label": "Scraper EU", "trafficLimitBytes": 5000000000}, timeout=30)
r.raise_for_status()
print(r.json())// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';
const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k/sub-users`, {
method: 'POST',
headers: { Authorization: `Bearer ${process.env.API_KEY}`, 'Content-Type': 'application/json' },
body: JSON.stringify({ label: 'Scraper EU', trafficLimitBytes: 5000000000 }),
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());サブユーザーを更新(ラベル、上限、有効化/無効化、新しいパスワード)
PATCH/v1/residential/subscriptions/{subscriptionId}/sub-users/{subUserId}
認証:Authorization: Bearer API_KEYヘッダーにAPIキーを指定します。
パラメーター
| 名前 | 場所 | 型 | 必須 | 説明 |
|---|---|---|---|---|
subscriptionId | path | string | はい | — |
subUserId | path | string | はい | — |
リクエストボディ
| フィールド | 型 | 必須 | 説明 |
|---|---|---|---|
label | string | いいえ | 最大60文字 |
trafficLimitBytes | integer (int64), nullable | いいえ | ≥ 0 |
enabled | boolean | いいえ | — |
regeneratePassword | boolean | いいえ | — |
{
"enabled": false
}レスポンス 200 OK
{
"id": "sub_3m9qk2",
"label": "Client A",
"username": "u7k2m9_scraper",
"password": "PASSWORD",
"trafficLimitBytes": 5000000000,
"trafficUsedBytes": 1200000000,
"enabled": true,
"createdAt": "2026-10-05T14:03:11Z"
}コード例
curl -s -X PATCH "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k/sub-users/sub_3m9qk2" \
-H "Authorization: Bearer $API_KEY" \
-H "Content-Type: application/json" \
-d '{"enabled":false}'import os
import requests
API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}
r = requests.patch(f"{API}/residential/subscriptions/res_9x2m4k/sub-users/sub_3m9qk2", headers=HEADERS, json={"enabled": False}, timeout=30)
r.raise_for_status()
print(r.json())// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';
const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k/sub-users/sub_3m9qk2`, {
method: 'PATCH',
headers: { Authorization: `Bearer ${process.env.API_KEY}`, 'Content-Type': 'application/json' },
body: JSON.stringify({ enabled: false }),
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());サブユーザーを削除
DELETE/v1/residential/subscriptions/{subscriptionId}/sub-users/{subUserId}
認証:Authorization: Bearer API_KEYヘッダーにAPIキーを指定します。
パラメーター
| 名前 | 場所 | 型 | 必須 | 説明 |
|---|---|---|---|---|
subscriptionId | path | string | はい | — |
subUserId | path | string | はい | — |
レスポンス 204 No Content
ボディなし:ステータスコードが回答です。
コード例
curl -s -X DELETE "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k/sub-users/sub_3m9qk2" \
-H "Authorization: Bearer $API_KEY"import os
import requests
API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}
r = requests.delete(f"{API}/residential/subscriptions/res_9x2m4k/sub-users/sub_3m9qk2", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.status_code) # 204: done// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';
const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k/sub-users/sub_3m9qk2`, {
method: 'DELETE',
headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error(`HTTP ${res.status}`);
console.log(res.status); // 204: doneサービスを利用できる国
GET/v1/catalog/countries
公開情報:APIキーは不要です。
パラメーター
| 名前 | 場所 | 型 | 必須 | 説明 |
|---|---|---|---|---|
product | query | string | いいえ | この商品を利用できる地域に限定します(residential、mobile、mobile-gb)。 |
レスポンス 200 OK
{
"data": [
{
"code": "US",
"name": "United States",
"region": "Americas",
"products": [
"residential",
"mobile",
"mobile-gb"
],
"cities": 6,
"asns": 4,
"carriers": 3
}
]
}コード例
curl -s "https://localserpproxy.com/api/v1/catalog/countries"import os
import requests
API = "https://localserpproxy.com/api/v1"
r = requests.get(f"{API}/catalog/countries", timeout=30)
r.raise_for_status()
print(r.json())// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';
const res = await fetch(`${API}/catalog/countries`);
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());国(US、CA、AU…)で指定できる州・県
GET/v1/catalog/countries/{countryCode}/states
-state-{state}のユーザー名セグメントに指定できる値。州・県を指定できない国では空のリストです。ZIPコードは一覧にありません。-zip-{zip}セグメントには任意の5桁のUS ZIPコードを指定できます。一致する出口IPがない場合、ゲートウェイはエラーページを返します。
公開情報:APIキーは不要です。
パラメーター
| 名前 | 場所 | 型 | 必須 | 説明 |
|---|---|---|---|---|
countryCode | path | string | はい | ISO 3166-1 alpha-2(大文字)。 |
レスポンス 200 OK
{
"data": [
{
"id": "ny",
"code": "NY",
"name": "New York",
"cities": 0
}
]
}コード例
curl -s "https://localserpproxy.com/api/v1/catalog/countries/US/states"import os
import requests
API = "https://localserpproxy.com/api/v1"
r = requests.get(f"{API}/catalog/countries/US/states", timeout=30)
r.raise_for_status()
print(r.json())// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';
const res = await fetch(`${API}/catalog/countries/US/states`);
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());国で指定できる都市
GET/v1/catalog/countries/{countryCode}/cities
product=mobileまたはproduct=mobile-gbを指定した場合、4G/5Gモデムがある都市のみが対象です。
公開情報:APIキーは不要です。
パラメーター
| 名前 | 場所 | 型 | 必須 | 説明 |
|---|---|---|---|---|
countryCode | path | string | はい | ISO 3166-1 alpha-2(大文字)。 |
product | query | string | いいえ | この商品を利用できる地域に限定します(residential、mobile、mobile-gb)。 |
レスポンス 200 OK
{
"data": [
{
"id": "new_york",
"name": "New York",
"state": "ny"
}
]
}コード例
curl -s "https://localserpproxy.com/api/v1/catalog/countries/US/cities"import os
import requests
API = "https://localserpproxy.com/api/v1"
r = requests.get(f"{API}/catalog/countries/US/cities", timeout=30)
r.raise_for_status()
print(r.json())// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';
const res = await fetch(`${API}/catalog/countries/US/cities`);
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());国で指定できるISP(ASN)— レジデンシャルのみ
GET/v1/catalog/countries/{countryCode}/asns
公開情報:APIキーは不要です。
パラメーター
| 名前 | 場所 | 型 | 必須 | 説明 |
|---|---|---|---|---|
countryCode | path | string | はい | ISO 3166-1 alpha-2(大文字)。 |
レスポンス 200 OK
{
"data": [
{
"asn": 7922,
"name": "Comcast Cable"
}
]
}コード例
curl -s "https://localserpproxy.com/api/v1/catalog/countries/US/asns"import os
import requests
API = "https://localserpproxy.com/api/v1"
r = requests.get(f"{API}/catalog/countries/US/asns", timeout=30)
r.raise_for_status()
print(r.json())// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';
const res = await fetch(`${API}/catalog/countries/US/asns`);
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());